Package org.springframework.security.web.access.channel

# Interface ChannelDecisionManager

All Known Implementing Classes:
  `ChannelDecisionManagerImpl`

public interface ChannelDecisionManager
Decides whether a web channel provides sufficient security.

## Method Summary

Modifier and Type
Method
Description
`void`
`decide(FilterInvocation invocation, Collection<org.springframework.security.access.ConfigAttribute> config)`
Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested list of `ConfigAttribute`s.
`boolean`
`supports(org.springframework.security.access.ConfigAttribute attribute)`
Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

## Method Details

### decide

void decide(FilterInvocation invocation, Collection<org.springframework.security.access.ConfigAttribute> config) throws IOException, jakarta.servlet.ServletException
Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested list of `ConfigAttribute`s.

Throws:
  `IOException`
  `jakarta.servlet.ServletException`

### supports

boolean supports(org.springframework.security.access.ConfigAttribute attribute)
Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

This allows the `ChannelProcessingFilter` to check every configuration attribute can be consumed by the configured `ChannelDecisionManager`.

Parameters:
  `attribute` - a configuration attribute that has been configured against the `ChannelProcessingFilter`
Returns:
  true if this `ChannelDecisionManager` can support the passed configuration attribute